#include<iostream>
using namespace std;
int main(){
    int n,red[100000],i;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>red[i];
    }
    int pyrvi,minrazlika=n,razlika;

    for(i=1;i<n-1;i++){
        if(red[i]==0){
            break;
        }
        if(red[i]>red[i-1]&&red[i]>red[i+1]){
            pyrvi=i;
            i++;
            break;
        }
    }
    for(;i<n-1;i++){
        if(red[i]==0){
            break;
        }
        if(red[i]>red[i-1]&&red[i]>red[i+1]){
            razlika=(i-pyrvi)-1;

            if(razlika<minrazlika){
                minrazlika=razlika;
            }
            pyrvi=i;
        }
    }
    if(minrazlika==n){
        cout<<0;
    }else{
        cout<<minrazlika;
    }
    return 0;
}
